Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > Installation/Configuration

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 20th February 2009, 13:47
edge edge is offline
Moderator
 
Join Date: Dec 2005
Location: The Netherlands
Posts: 2,036
Thanks: 268
Thanked 152 Times in 132 Posts
Default Todays apt-get update for Debian Etch

Wow.. Some update today!
Quote:
host:/home/edge# apt-get upgrade
Reading package lists... Done
Building dependency tree... Done
The following packages have been kept back:
alsa-utils apache2 apache2-mpm-prefork apache2-utils apache2.2-common apt apt-utils aptitude at base-passwd bash bc bin86 bind9 bind9-host binutils bison
bsdmainutils bsdutils build-essential bzip2 checkinstall chkrootkit console-tools coreutils courier-authdaemon courier-authlib courier-authlib-userdb
courier-base courier-ssl cpio cpp cpp-4.1 cron curl dash dc debianutils dhcp-client diff discover1 dnsutils dpkg dpkg-dev dselect e2fslibs e2fsprogs ed
eject espeak espeak-data faad fdutils festival fetchmail file findutils finger flex fontconfig fontconfig-config ftp g++ g++-4.1 gamin gcc gcc-4.1
gcc-4.1-base gdb gettext-base gnupg gpgv grep groff-base grub gzip hostname ifupdown imagemagick info initscripts ipopd iptables iputils-ping ispell
klogd less libaa1 libacl1 libapache2-mod-perl2 libapache2-mod-php5 libapr1 libaprutil1 libart-2.0-2 libartsc0 libasound2 libasyncns0 libatk1.0-0 libattr1
libaudio2 libaudiofile0 libbeecrypt6 libbit-vector-perl libblkid1 libbz2-1.0 libc6 libc6-dev libcaca0 libcairo2 libcdparanoia0 libcomerr2
libcompress-zlib-perl libconsole libcrypt-ssleay-perl libcucul0 libcurl3 libdate-calc-perl libdb4.2 libdbd-mysql-perl libdbi-perl libdigest-sha1-perl
libdrm2 libdv4 libdvdnav4 libedit2 libespeak1 libestools1.2 libevent1 libexpat1 libfaad-dev libfaad0 libfontconfig1 libfreetype6 libfribidi0 libgamin0
libgc1c2 libgcc1 libgcrypt11 libgd2-xpm libgeoip1 libggi2 libgii1 libgii1-target-x libgl1-mesa-glx libglib2.0-0 libgmp3-dev libgmp3c2 libgsm1 libgtk2.0-0
libgtk2.0-common libhtml-parser-perl libice6 libidn11 libimlib2 libjack0.100.0-0 libjpeg62 libkrb53 liblcms1 liblircclient0 liblocale-gettext-perl
liblockfile1 libltdl3 liblzo2-2 libmad0 libmagic1 libmhash2 libncurses5 libncursesw5 libneon26 libnet-dns-perl libnet-ssleay-perl libnewt0.52 libnss-db
libogg0 libpam-modules libpam0g libpango1.0-0 libpcre3 libperl5.8 libpng12-0 libpng12-dev libpopt-dev libpopt0 libportaudio2 libpulse0 libreadline5
librrds-perl librsync1 libruby1.8 libsasl2-2 libsasl2-modules libsdl1.2debian libsdl1.2debian-alsa libselinux1 libsepol1 libsigc++-2.0-0c2a libslang2
libsm6 libsmbclient libsocket6-perl libspeex1 libsqlite3-0 libss2 libssl-dev libssl0.9.8 libstdc++5 libstdc++6 libstdc++6-4.1-dev libsvga1 libsvn1
libsysfs2 libt1-5 libtasn1-3 libterm-readkey-perl libtext-charwidth-perl libtext-iconv-perl libtextwrap1 libtheora0 libtiff4 libtwolame0 libungif4g
libunix-syslog-perl libusb-0.1-4 libuuid1 libvorbis0a libvorbisenc2 libwrap0 libx11-6 libxau6 libxcursor1 libxdmcp6 libxext6 libxft2 libxi6 libxinerama1
libxml-parser-perl libxml2 libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxrender1 libxslt1.1 libxt6 libxtrap6 libxtst6 libxv1 libxxf86dga1 libxxf86vm1
locales login logrotate lsof lynx m4 mailagent mailx make man-db mawk mc mktemp mlock module-init-tools monit mount mpack mtools mtr-tiny munin-node mutt
nano ncftp ncurses-bin net-tools nget nmap ntp ntpdate nvi odbcinst1debian1 openbsd-inetd openssh-client openssh-server openssl passwd patch pciutils
perl perl-base perl-modules php-pear php5 php5-cli php5-common php5-curl php5-dev php5-gd php5-imap php5-ldap php5-mhash php5-mysql php5-odbc postfix
procps proftpd psad psmisc python python-celementtree python-libxml2 python-minimal python-newt python-rpm python-support python-urlgrabber python2.4
python2.4-minimal quota quotatool rcs rdate rdiff rdiff-backup reportbug rpm rrdtool rsync ruby1.8 sasl2-bin screen sed sharutils spamassassin spamc
squid squid-common ssl-cert strace subversion sudo sysklogd sysvinit sysvinit-utils tar tcpd telnet tesseract-ocr texinfo time traceroute ttf-dejavu
unixodbc unzip usbutils util-linux uudeview uw-imapd vnstat w3m webalizer wget whiptail whois yum zlib1g zlib1g-dev
The following packages will be upgraded:
adduser apache2-doc autoconf automake automake1.4 autotools-dev base-files ca-certificates console-common console-data debconf debconf-i18n
debian-archive-keyring defoma dictionaries-common discover1-data dmidecode doc-debian doc-linux-text fail2ban gnu-efi iamerican ibritish laptop-detect
liba52-0.7.4 liba52-0.7.4-dev libarchive-zip-perl libcarp-clan-perl libdevel-symdump-perl libdigest-hmac-perl libfile-tail-perl libgpg-error0
libhtml-tagset-perl libhtml-template-perl libhtml-tree-perl libio-multiplex-perl libio-zlib-perl libmcal0 libnet-cidr-perl libnet-server-perl
libnetwork-ipv4addr-perl libpam-runtime libpango1.0-common libtext-wrapi18n-perl libtool liburi-perl libwww-perl libx11-data libxfixes3 libxml-dom-perl
libxvmc1 linux-sound-base logwatch lsb-base mailgraph makedev manpages manpages-dev mime-support mplayer-skin-blue munin ncurses-base ncurses-term
netbase php-db php-http php-mail php-net-smtp php-net-socket php-xml-parser python-central python-elementtree readline-common ruby shtool ssh sysv-rc
tasksel tasksel-data tzdata ucf update-inetd wamerican x11-common
84 upgraded, 0 newly installed, 0 to remove and 368 not upgraded.
Need to get 23.4MB of archives.
After unpacking 3893kB of additional disk space will be used.
Do you want to continue [Y/n]?
__________________
Never execute code written on a Friday or a Monday.
Reply With Quote
Sponsored Links
  #2  
Old 21st February 2009, 18:00
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,743 Times in 2,577 Posts
Default

Are you using stable or etch in your sources.list? Lenny is the new stable, so if you're using stable in your sources.list, that would explain the big update.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #3  
Old 21st February 2009, 19:31
edge edge is offline
Moderator
 
Join Date: Dec 2005
Location: The Netherlands
Posts: 2,036
Thanks: 268
Thanked 152 Times in 132 Posts
Default

I'm using stable in the sources.list. Is this a problem?
__________________
Never execute code written on a Friday or a Monday.
Reply With Quote
  #4  
Old 22nd February 2009, 20:18
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,743 Times in 2,577 Posts
Default

I'd use etch, because otherwise you'll have a mixture of Etch and Lenny packages. If oyu want to upgrade to Lenny, take a look here: http://www.howtoforge.com/how-to-upg...o-debian-lenny
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
The Following User Says Thank You to falko For This Useful Post:
edge (22nd February 2009)
  #5  
Old 22nd February 2009, 20:33
edge edge is offline
Moderator
 
Join Date: Dec 2005
Location: The Netherlands
Posts: 2,036
Thanks: 268
Thanked 152 Times in 132 Posts
Default

Hmm this sucks.. I do not really want to update that server, but I've selected Y when asked
Quote:
84 upgraded, 0 newly installed, 0 to remove and 368 not upgraded.
Need to get 23.4MB of archives.
After unpacking 3893kB of additional disk space will be used.
Do you want to continue [Y/n]?
Now.. I have upgraded 84.
So. How do I rollback to the setup before the 84 upgraded, and will it harm the system if I now use "Etch" only in the apt?
__________________
Never execute code written on a Friday or a Monday.
Reply With Quote
  #6  
Old 23rd February 2009, 18:44
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,743 Times in 2,577 Posts
Default

Quote:
Originally Posted by edge View Post
So. How do I rollback to the setup before the 84 upgraded, and will it harm the system if I now use "Etch" only in the apt?
That's a good question. To be honest, in this case I'd do a full upgrade to Lenny.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #7  
Old 23rd February 2009, 19:15
edge edge is offline
Moderator
 
Join Date: Dec 2005
Location: The Netherlands
Posts: 2,036
Thanks: 268
Thanked 152 Times in 132 Posts
 
Default

I'm about to install a new server. Till then I will hold on the update.

Thanks for the info.
__________________
Never execute code written on a Friday or a Monday.
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Debian Etch and Automatix GPG error ensens HOWTO-Related Questions 3 17th February 2008 18:31
vodafone mobile connect card driver Johnbb HOWTO-Related Questions 19 10th February 2008 10:41
etch apt get error bennyhill HOWTO-Related Questions 2 13th August 2007 12:18
High Availability Samba cluster - DRBD + Heartbeat djalex Server Operation 58 25th May 2007 19:38
HotSaNIC domino Tips/Tricks/Mods 23 6th November 2006 05:19


All times are GMT +2. The time now is 12:41.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.